Index: binary-improvements/MapRendering/Web/WebConnection.cs
===================================================================
--- binary-improvements/MapRendering/Web/WebConnection.cs	(revision 253)
+++ binary-improvements/MapRendering/Web/WebConnection.cs	(revision 325)
@@ -1,28 +1,27 @@
 using System;
 using System.Collections.Generic;
-using AllocsFixes.NetConnections.Servers.Web;
 using UnityEngine;
 
-namespace AllocsFixes.NetConnections.Servers.Web
-{
+namespace AllocsFixes.NetConnections.Servers.Web {
 	public class WebConnection : ConsoleConnectionAbstract {
-		private string sessionId;
-		private string endpoint;
-		private ulong steamId;
-		private DateTime login;
+		private readonly DateTime login;
+		private readonly List<string> outputLines = new List<string> ();
 		private DateTime lastAction;
-		private List<string> outputLines = new List<string> ();
+		private readonly string conDescription;
 
-		public string SessionID {
-			get { return sessionId; }
+		public WebConnection (string _sessionId, string _endpoint, ulong _steamId) {
+			SessionID = _sessionId;
+			Endpoint = _endpoint;
+			SteamID = _steamId;
+			login = DateTime.Now;
+			lastAction = login;
+			conDescription = "WebPanel from " + Endpoint;
 		}
 
-		public string Endpoint {
-			get { return endpoint; }
-		}
+		public string SessionID { get; private set; }
 
-		public ulong SteamID {
-			get { return steamId; }
-		}
+		public string Endpoint { get; private set; }
+
+		public ulong SteamID { get; private set; }
 
 		public TimeSpan Age {
@@ -30,52 +29,48 @@
 		}
 
-        public static bool CanViewAllPlayers (int _permissionLevel) {
-            bool val = false;
+		public static bool CanViewAllPlayers (int _permissionLevel) {
+			bool val = false;
 
-            try {
-                const int defaultPermissionLevel = 0;
+			try {
+				const int defaultPermissionLevel = 0;
 
-                val = _permissionLevel <= defaultPermissionLevel;
+				val = _permissionLevel <= defaultPermissionLevel;
 
-                foreach (WebPermissions.WebModulePermission wap in WebPermissions.Instance.GetModules ())
-                    if (wap.module.Trim ().ToLower () == "webapi.viewallplayers")
-                        val = _permissionLevel <= wap.permissionLevel;
-            }
-            catch { }
+				foreach (WebPermissions.WebModulePermission wap in WebPermissions.Instance.GetModules ()) {
+					if (wap.module.Trim ().ToLower () == "webapi.viewallplayers") {
+						val = _permissionLevel <= wap.permissionLevel;
+					}
+				}
+			} catch {
+			}
 
-            return val;
-        }
+			return val;
+		}
 
-        public static bool CanViewAllClaims (int _permissionLevel) {
-            bool val = false;
+		public static bool CanViewAllClaims (int _permissionLevel) {
+			bool val = false;
 
-            try {
-                const int defaultPermissionLevel = 0;
+			try {
+				const int defaultPermissionLevel = 0;
 
-                val = _permissionLevel <= defaultPermissionLevel;
+				val = _permissionLevel <= defaultPermissionLevel;
 
-                foreach (WebPermissions.WebModulePermission wap in WebPermissions.Instance.GetModules ())
-                    if (wap.module.Trim ().ToLower () == "webapi.viewallclaims")
-                        val = _permissionLevel <= wap.permissionLevel;
-            }
-            catch { }
+				foreach (WebPermissions.WebModulePermission wap in WebPermissions.Instance.GetModules ()) {
+					if (wap.module.Trim ().ToLower () == "webapi.viewallclaims") {
+						val = _permissionLevel <= wap.permissionLevel;
+					}
+				}
+			} catch {
+			}
 
-            return val;
-        }
-
-		public WebConnection (string _sessionId, string _endpoint, ulong _steamId) {
-			this.sessionId = _sessionId;
-			this.endpoint = _endpoint;
-			this.steamId = _steamId;
-			this.login = DateTime.Now;
-			this.lastAction = this.login;
+			return val;
 		}
 
 		public void UpdateUsage () {
-			this.lastAction = DateTime.Now;
+			lastAction = DateTime.Now;
 		}
 
 		public override string GetDescription () {
-			return "WebPanel from " + endpoint;
+			return conDescription;
 		}
 
@@ -91,6 +86,4 @@
 			// Do nothing, handled by LogBuffer
 		}
-
 	}
 }
-
